Environment Backup - Delete Environment Backup
Deletes the specified backup.
DELETE https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/backups/{backupId}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
backup
|
path | True |
string |
The ID of the backup. |
|
environment
|
path | True |
string |
The ID of the environment. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
No Content |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
|
| 429 Too Many Requests |
Too Many Requests |
|
| Other Status Codes |
Conflict |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Validation |
Represents the response for validation of an operation. |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |